Results 1 to 3 of 3

Thread: Error with Installing Lich Need Help Please

  1. #1
    Join Date
    Jul 2003
    Location
    Livonia, Michigan
    Posts
    355

    Default Error with Installing Lich Need Help Please

    Hey folks, I just decided to return to my addiction and got the 3 months free play time. Mostly been wandering about lost and looking at all the burned buildings in the Landing? WTH is that?

    But, I decided to install Lich, because goto is great when your wandering about trying to remember where anything is after almost 6-7 years being away from the game. DL the win10 installer, run it, restart my computer and go to launch it from the shiny bright new desktop icon... and I get this message.

    First this...

    Lich needs sqlite3 to save settings and data, but it is not installed

    would you like to install sqlite3 now?

    click yes, then I get this....

    error: could not find gem.bat in directory C:\Ruby24-64\bin

    So, uhmm.. what fragged up with installing this? Help!

    And on a side note, if anyone could tell me what the verb is for looking at my rogue's guild skills, i would really appreciate it. Gonna get kicked, don't even want to think about how far behind I am with my dues, but I cannot recall what I trained him in. Thanks again.
    But still, one of the most basic rules for survival on any planet is never to upset someone wearing black leather - This is why protesters against the wearing of animal skins by humans unaccountably fail to throw their paint over Hell's Angels.
    - Terry Prachett

  2. #2
    Join Date
    Jul 2003
    Location
    Livonia, Michigan
    Posts
    355

    Default

    in the output log I am seeing a bunch of these UndefinedConversionError showing up? Could that be what got borked?

    Rubygems updated. Installing gems required by Lich.

    C:/Ruby24-x64/lib/ruby/2.4.0/win32/registry.rb:910:in `encode': U+00A9 to IBM437 in conversion from UTF-16LE to UTF-8 to
    IBM437 (Encoding::UndefinedConversionError)
    from C:/Ruby24-x64/lib/ruby/2.4.0/win32/registry.rb:910:in `export_string'
    from C:/Ruby24-x64/lib/ruby/2.4.0/win32/registry.rb:611:in `each_key'
    from C:/Ruby24-x64/lib/ruby/site_ruby/2.4.0/ruby_installer/runtime/msys2_installation.rb:49:in `block in iterate
    _msys_paths'
    from C:/Ruby24-x64/lib/ruby/2.4.0/win32/registry.rb:435:in `open'
    from C:/Ruby24-x64/lib/ruby/2.4.0/win32/registry.rb:542:in `open'
    from C:/Ruby24-x64/lib/ruby/site_ruby/2.4.0/ruby_installer/runtime/msys2_installation.rb:48:in `iterate_msys_pat
    hs'
    from C:/Ruby24-x64/lib/ruby/site_ruby/2.4.0/ruby_installer/runtime/msys2_installation.rb:73:in `msys_path'
    from C:/Ruby24-x64/lib/ruby/site_ruby/2.4.0/ruby_installer/runtime/msys2_installation.rb:86:in `mingw_bin_path'
    from C:/Ruby24-x64/lib/ruby/site_ruby/2.4.0/ruby_installer/runtime/msys2_installation.rb:96:in `enable_dll_searc
    h_paths'
    from C:/Ruby24-x64/lib/ruby/site_ruby/2.4.0/ruby_installer/runtime/singleton.rb:27:in `enable_dll_search_paths'
    from C:/Ruby24-x64/lib/ruby/2.4.0/rubygems/defaults/operating_system.rb:3:in `<top (required)>'
    from C:/Ruby24-x64/lib/ruby/2.4.0/rubygems.rb:1347:in `require'
    from C:/Ruby24-x64/lib/ruby/2.4.0/rubygems.rb:1347:in `<top (required)>'
    from <internal:gem_prelude>:4:in `require'
    from <internal:gem_prelude>:4:in `<internal:gem_prelude>'
    But still, one of the most basic rules for survival on any planet is never to upset someone wearing black leather - This is why protesters against the wearing of animal skins by humans unaccountably fail to throw their paint over Hell's Angels.
    - Terry Prachett

  3. Default

    What do you get when you open a command prompt and execute each of these lines

    Code:
    ruby -v
    gem list
    Do you have more than one Ruby installed?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •